> For clean Markdown of any page, append .md to the page URL. > For a complete documentation index, see https://developer.nibtravelinsurance.com/reference/products-api/brand/brand-content/llms.txt. > For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://developer.nibtravelinsurance.com/_mcp/server. # Brand content GET https://api-staging.nibtravelinsurance.com/products/v1/{brandCode}/brands Retrieves content items related to a particular brand. Reference: https://developer.nibtravelinsurance.com/reference/products-api/brand/brand-content ## Authentication - `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer `, where token is your auth token. ## Request ### Path parameters - `brandCode` (enum, required) — Brand code - Allowed values: `nibau`, `nibnz`, `tidau`, `wn` ### Query parameters - `lang` (string, optional) — Language code ## Response ### 200 Response will be an object containing the list of contentItems (array) as well as the updated products database. Each item in the product array has the following structure. - `expirySeconds` (integer, optional) - `code` (string, optional) - `name` (string, optional) - `effectiveToDate` (string, optional) - `contentItems` (list of ContentSummary, optional) - `availableTranslations` (map from string to string, optional) ## Types ### ContentSummary - `type` (string, optional) - `content` (string, optional) ## Examples **Response** ```json { "expirySeconds": 86400, "code": "WN", "name": "name", "effectiveToDate": "1970-01-01T00:00:00Z", "contentItems": [ { "type": "OPTIONDISCLAIMER", "content": "*Including options" }, { "type": "RSPORTALURL", "content": "http://service.worldnomads.com/customer/portal/articles/1063080-what-is-my-country-of-residence" }, { "type": "EMAILREPLYTOANDFROM", "content": "\"World Nomads UAT\" " }, { "type": "NOEMAILADDRESS", "content": "\"World Nomads UAT\" " }, { "type": "EFOOTER", "content": "Travel insurance doesn't cover everything. All of the information we provide is a brief summary. It does not include all terms, conditions, limitations, exclusions and termination provisions of the plans described. Coverage may not be the same or available for residents of all countries, states or provinces. Please carefully read your policy wording for a full description of coverage. WorldNomads.com Pty Limited (ABN 62 127 485 198 AR 343027, NZBN 9429050505364) at Governor Macquarie Tower, Level 18, 1 Farrer Place, Sydney, NSW, 2000, Australia is an Authorised Representative of nib Travel Services (Australia) Pty Ltd (ABN 81 115 932 173 AFSL 308461, NZBN 9429050505340), and is underwritten in Australia and New Zealand by Pacific International Insurance Pty Ltd, ABN 83 169 311 193, NZBN 9429041356500. nib Travel Services Europe Limited trading as nib Travel Services and World Nomads (CN 601851), at City Quarter, Lapps Quay, Cork, Ireland operates in both Europe and the UK; in the UK it is underwritten by Inter Partner Assistance S.A. UK Branch; in Europe it is underwritten by Inter Partner Assistance S.A. nib Travel Services Europe Limited trading as nib Travel Services and World Nomads is regulated by the Central Bank of Ireland. nib Travel Services Europe Limited trading as nib Travel Services and World Nomads is deemed authorised and regulated by the Financial Conduct Authority. The nature and extent of consumer protections may differ from those for firms based in the UK. Details of the Temporary Permissions Regime, which allows EEA-based firms to operate in the UK for a limited period while seeking full authorisation, are available on the Financial Conduct Authority’s website. WorldNomads.com Pty Limited markets and promotes travel insurance products of nib Travel Services Limited (License No.1446874), at PO Box 1051, Grand Cayman KY1-1102, Cayman Islands. World Nomads Inc. (1585422), at 2201 Broadway, Suite 300, Oakland, CA 94612, USA, plans are administered by Trip Mate Inc. (in CA & UT, dba, Trip Mate Insurance Agency) at PO Box 939073, San Diego, CA, 92193, USA, with 24-hour and Assistance Services provided by Generali Global Assistance and plans underwritten by Nationwide Mutual Insurance Company and affiliated companies, Columbus, OH. World Nomads (Canada) Ltd (BC: 0700178; Business No: 001 85379 7942 RC0001) is a licensed agent sponsored by AIG Insurance Company of Canada at 120 Bremner Boulevard, Suite 2200, Toronto, Ontario, M5J 0A8, Canada. World Experiences Seguros De Viagem Brasil Ltda (CNPJ: 21.346.969/0001-99) at Rua Padre João Manuel, 755, 16º andar, São Paulo – SP, Brazil is an Authorized Partner (Representante) of Chubb Seguros Brasil S.A. (CNPJ: 03.502.099/0001-18) at Av. Nações Unidas, nº 8.501, 27º andar -, Edifício Eldorado Business Tower, Pinheiros through the SUSEP Process 15414.900439/2015-34. All World Nomads entities listed above, including nib Travel Services Europe, nib Travel Services Limited and nib Travel Services (Australia) Pty Ltd, are subsidiaries of nib holdings limited (ABN 51 125 633 856)." } ], "availableTranslations": { "key": "value" } } ``` **SDK Code** ```python World Nomads brand import requests url = "https://api-staging.nibtravelinsurance.com/products/v1/nibau/brands" headers = {"Authorization": "Bearer "} response = requests.get(url, headers=headers) print(response.json()) ``` ```javascript World Nomads brand const url = 'https://api-staging.nibtravelinsurance.com/products/v1/nibau/brands'; const options = {method: 'GET', headers: {Authorization: 'Bearer '}}; try { const response = await fetch(url, options); const data = await response.json(); console.log(data); } catch (error) { console.error(error); } ``` ```go World Nomads brand package main import ( "fmt" "net/http" "io" ) func main() { url := "https://api-staging.nibtravelinsurance.com/products/v1/nibau/brands" req, _ := http.NewRequest("GET", url, nil) req.Header.Add("Authorization", "Bearer ") res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(res) fmt.Println(string(body)) } ``` ```ruby World Nomads brand require 'uri' require 'net/http' url = URI("https://api-staging.nibtravelinsurance.com/products/v1/nibau/brands") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true request = Net::HTTP::Get.new(url) request["Authorization"] = 'Bearer ' response = http.request(request) puts response.read_body ``` ```java World Nomads brand import com.mashape.unirest.http.HttpResponse; import com.mashape.unirest.http.Unirest; HttpResponse response = Unirest.get("https://api-staging.nibtravelinsurance.com/products/v1/nibau/brands") .header("Authorization", "Bearer ") .asString(); ``` ```php World Nomads brand request('GET', 'https://api-staging.nibtravelinsurance.com/products/v1/nibau/brands', [ 'headers' => [ 'Authorization' => 'Bearer ', ], ]); echo $response->getBody(); ``` ```csharp World Nomads brand using RestSharp; var client = new RestClient("https://api-staging.nibtravelinsurance.com/products/v1/nibau/brands"); var request = new RestRequest(Method.GET); request.AddHeader("Authorization", "Bearer "); IRestResponse response = client.Execute(request); ``` ```swift World Nomads brand import Foundation let headers = ["Authorization": "Bearer "] let request = NSMutableURLRequest(url: NSURL(string: "https://api-staging.nibtravelinsurance.com/products/v1/nibau/brands")! as URL, cachePolicy: .useProtocolCachePolicy, timeoutInterval: 10.0) request.httpMethod = "GET" request.allHTTPHeaderFields = headers let session = URLSession.shared let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in if (error != nil) { print(error as Any) } else { let httpResponse = response as? HTTPURLResponse print(httpResponse) } }) dataTask.resume() ```